Commit b93dd20b authored by Michael Natterer's avatar Michael Natterer 😴 Committed by Michael Natterer
Browse files

removed this function.

2005-02-02  Michael Natterer  <mitch@gimp.org>

	* app/core/gimp-utils.[ch] (gimp_check_glib_version): removed this
	function.

	* app/sanity.c (sanity_check_glib): use glib_check_version()
	instead and set required version to 2.6.0.
parent 7e8139b5
2005-02-02 Michael Natterer <mitch@gimp.org>
* app/core/gimp-utils.[ch] (gimp_check_glib_version): removed this
function.
* app/sanity.c (sanity_check_glib): use glib_check_version()
instead and set required version to 2.6.0.
2005-02-02 Sven Neumann <sven@gimp.org>
* configure.in: depend on glib >= 2.6.0.
......
......@@ -303,26 +303,3 @@ gimp_parameters_free (GParameter *params,
g_free (params);
}
}
const gchar *
gimp_check_glib_version (guint required_major,
guint required_minor,
guint required_micro)
{
#ifdef __GNUC__
#warning FIXME: remove this function as soon as we depend on GLib 2.6.0
#endif
gint glib_effective_micro = 100 * glib_minor_version + glib_micro_version;
gint required_effective_micro = 100 * required_minor + required_micro;
if (required_major > glib_major_version)
return "GLib version too old (major mismatch)";
if (required_major < glib_major_version)
return "GLib version too new (major mismatch)";
if (required_effective_micro < glib_effective_micro - glib_binary_age)
return "GLib version too new (micro mismatch)";
if (required_effective_micro > glib_effective_micro)
return "GLib version too old (micro mismatch)";
return NULL;
}
......@@ -59,9 +59,5 @@ GParameter * gimp_parameters_append_valist (GType object_type,
void gimp_parameters_free (GParameter *params,
gint n_params);
const gchar * gimp_check_glib_version (guint required_major,
guint required_minor,
guint required_micro);
#endif /* __APP_GIMP_UTILS_H__ */
......@@ -24,8 +24,6 @@
#include "libgimpbase/gimpenv.h"
#include "core/gimp-utils.h"
#include "sanity.h"
#include "gimp-intl.h"
......@@ -65,12 +63,12 @@ sanity_check_glib (void)
const gchar *mismatch;
#define GLIB_REQUIRED_MAJOR 2
#define GLIB_REQUIRED_MINOR 4
#define GLIB_REQUIRED_MICRO 5
#define GLIB_REQUIRED_MINOR 6
#define GLIB_REQUIRED_MICRO 0
mismatch = gimp_check_glib_version (GLIB_REQUIRED_MAJOR,
GLIB_REQUIRED_MINOR,
GLIB_REQUIRED_MICRO);
mismatch = glib_check_version (GLIB_REQUIRED_MAJOR,
GLIB_REQUIRED_MINOR,
GLIB_REQUIRED_MICRO);
if (mismatch)
{
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment